Revision 3845 problem compiling GG in Linux

Questions, problems and discussion about compiling FreeOrion.

Moderators: Oberlus, Oberlus

Post Reply
Message
Author
User avatar
RgnadKzin
Space Squid
Posts: 67
Joined: Sun Aug 15, 2010 2:25 am

Revision 3845 problem compiling GG in Linux

#1 Post by RgnadKzin » Sun Nov 28, 2010 6:07 am

I went in and changed the required version of boost to 1.42, which is the highest version I can install from synanptic package manager.

Code: Select all

[  3%] Building CXX object src/CMakeFiles/GiGi.dir/AdamParser.cpp.o              
In file included from /usr/local/src/freeorion/FreeOrion/GG/GG/Lexer.h:32,       
                 from /usr/local/src/freeorion/FreeOrion/GG/GG/ExpressionParser.h:31,
                 from /usr/local/src/freeorion/FreeOrion/GG/src/AdamParser.cpp:27:
/usr/local/src/freeorion/FreeOrion/GG/GG/Token.h:207: error: ‘token_printer_debug’ is not a template
/usr/local/src/freeorion/FreeOrion/GG/GG/Token.h: In static member function ‘static void boost::spirit::traits::token_printer_debug<Iter, Attribute, HasState>::print(Out&, const GG::position_tracking_token<Iter, AttributeTypes, HasState>&)’:
/usr/local/src/freeorion/FreeOrion/GG/GG/Token.h:214: error: ‘print_token’ is not a member of ‘boost::spirit::traits’

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12471
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: Revision 3845 problem compiling GG in Linux

#2 Post by Geoff the Medio » Sun Nov 28, 2010 6:28 am

You can probably revert to the last working (for you) version of GG and build FreeOrion against that.

User avatar
OndrejR
Space Dragon
Posts: 339
Joined: Thu Oct 02, 2008 11:00 pm
Location: Slovakia

Re: Revision 3845 problem compiling GG in Linux

#3 Post by OndrejR » Sun Nov 28, 2010 10:32 am

I also have this problem and it is not only problem with this revision. I already sent private message to tzlaine. The last working revision of GG is 853. FreeOrion does not have problem. Simply don't install GG with make install. FreeOrion check installed version of GG. For other newcomers before compiling and installing GG first update GG to revision 853 with:

Code: Select all

cd freeorion/FreeOrion/GG
svn update -r 853
EDIT: Gigi now requires Boost 1.44 which is not common in linux distributions, therefore is easier use revision 853.
Last edited by OndrejR on Mon Nov 29, 2010 6:20 am, edited 1 time in total.

User avatar
RgnadKzin
Space Squid
Posts: 67
Joined: Sun Aug 15, 2010 2:25 am

Re: Revision 3845 problem compiling GG in Linux [solved]

#4 Post by RgnadKzin » Sun Nov 28, 2010 10:36 pm

I was able to get it compiled by simply "requiring" the older version and re-installing catalyst.

Post Reply